# FAQ

### **Q**: 为什么有些文章被漏掉了？ / 为什么 bot 响应我这么慢？

**A**: 由于 Telegram 的限制，如果短时间内发送了太多消息，bot 会被泛洪控制，而必须等待一段时间。尽管 bot 会重试，但如果仍被泛洪控制，消息就会被丢弃。**避免订阅太多的订阅源，<u>特别是在频道和群组中</u>（它们有着严格得多的泛洪限制阈值）。**

### **Q**: 如何在频道或群组里使用 bot ？

**A**: 将 bot 添加到你的频道或群组里，然后发送命令就可以了。在频道里，需要「发送消息」权限。而如果你是群组的匿名管理员，bot 也需要成为管理员（不需要任何权限）才能验证你的身份。

### **Q**: Telegram 「菜单」里的命令列表过时了！

**A**: 发送 `/lang` 并再次设置你的语言。Bot 会为你更新命令列表。

### **Q**: Bot 的性能怎么样？它看起来有轻微的内存泄漏问题。

**A**: Bot 被设计为异步的，因此它轻量快速。即使订阅了超过 6000 个订阅源，bot 仍然可以在单核 VPS 上运行，并维持着令人印象深刻的 load average (约 0.2)，内存占用此时大约为 350MB。在这种情况下，bot 仍然工作得很好，且稳定性和可用性不受影响。至于内存泄漏的问题，这是上游库 `feedparser` 的一个[已知问题](https://github.com/kurtmckee/feedparser/issues/287)，并非 bot 的 bug。

### **Q**: 为什么我将订阅静音后仍然收到通知？

**A**: 「静音」通知并不意在关闭通知，而是**让通知不发出声音**。由于 Telegram 的限制，在发送端完全关闭通知是不可能的。

### **Q**: 我希望我的 bot 仅为我服务。我应该怎么做？

**A**: 将环境变量 `MULTIUSER` 设置为 `0`。  
然而，如果你需要在频道里使用 bot，你暂时还不能关闭多用户模式。作为一个临时变通方案，你可以先打开多用户模式，在你的频道里订阅你喜欢的订阅源，再关闭多用户模式。  
即使没有启用多用户模式，在群组里使用 bot 也是可能的，只要你是群组管理员就可以。[请确保 bot 可以识别你](FAQ.zh.md#q-如何在频道或群组里使用-bot-)，尤其如果你是群组的匿名管理员的话。
